<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>http://wiki.linuxmce.org/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Cobradevil</id>
	<title>LinuxMCE - User contributions [en]</title>
	<link rel="self" type="application/atom+xml" href="http://wiki.linuxmce.org/api.php?action=feedcontributions&amp;feedformat=atom&amp;user=Cobradevil"/>
	<link rel="alternate" type="text/html" href="http://wiki.linuxmce.org/index.php/Special:Contributions/Cobradevil"/>
	<updated>2026-07-22T05:57:07Z</updated>
	<subtitle>User contributions</subtitle>
	<generator>MediaWiki 1.44.0</generator>
	<entry>
		<id>http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9784</id>
		<title>Nintendo WiiMote</title>
		<link rel="alternate" type="text/html" href="http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9784"/>
		<updated>2008-03-25T06:38:41Z</updated>

		<summary type="html">&lt;p&gt;Cobradevil: removed the stub&lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;[[Category: Hardware]]&lt;br /&gt;
[[Category: Input]]&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
[[Image:Wiimote.jpg|right]]&lt;br /&gt;
&lt;br /&gt;
This device is not out of the box supported by LinuxMCE, but it is known to work [https://help.ubuntu.com/community/CWiiD] [http://forum.linuxmce.com/index.php?topic=1246.0] [http://forum.linuxmce.org/index.php?topic=2411.msg11435].&lt;br /&gt;
&lt;br /&gt;
== Wiimote setup ==&lt;br /&gt;
&lt;br /&gt;
I will try to explain what i have done to make the wiimote work with linuxmce.&lt;br /&gt;
&lt;br /&gt;
The wiimote is a cheap gyration device which could work for linuxmce instead of the chief remote from fiire which i find to expensive!!&lt;br /&gt;
&lt;br /&gt;
= Setup =&lt;br /&gt;
&lt;br /&gt;
Login as root to the media director which has a bluetooth stick with ssh.&lt;br /&gt;
Install the cwiid driver as fllows&lt;br /&gt;
 apt-get install libcwiid0&lt;br /&gt;
 apt-get install wminput&lt;br /&gt;
&lt;br /&gt;
create the daemon&lt;br /&gt;
 vi /usr/sbin/wminputd&lt;br /&gt;
&lt;br /&gt;
 #!/bin/bash&lt;br /&gt;
 #read the config file&lt;br /&gt;
 . /etc/wminputd.conf&lt;br /&gt;
 export DISPLAY=:0&lt;br /&gt;
 &lt;br /&gt;
 while true ; do&lt;br /&gt;
         #check if the OrbiterGL is already running!&lt;br /&gt;
         LMCE=`pidof OrbiterGL`&lt;br /&gt;
         if [ ! -z $LMCE ] ; then&lt;br /&gt;
                 while true ; do&lt;br /&gt;
                 #check if the wiimote is already connected&lt;br /&gt;
                 SCAN=`hcitool con|grep $WIIMOTE_BDADDR`&lt;br /&gt;
                         if [ -z $SCAN ] ; then&lt;br /&gt;
                                 PID=`pidof wminput`&lt;br /&gt;
                                 kill -9 $PID&lt;br /&gt;
                                 xset m 3 1/2&lt;br /&gt;
                                 wminput -c ir_ptr $WIIMOTE_BDADDR &amp;amp;&lt;br /&gt;
                                 sleep 5&lt;br /&gt;
                         else&lt;br /&gt;
                                 sleep 5&lt;br /&gt;
                         fi&lt;br /&gt;
                 done&lt;br /&gt;
         fi&lt;br /&gt;
 done&lt;br /&gt;
&lt;br /&gt;
Make it executable&lt;br /&gt;
 chmod 755 /usr/sbin/wminputd&lt;br /&gt;
&lt;br /&gt;
*Create the config file&lt;br /&gt;
 vi /etc/wminputd.conf&lt;br /&gt;
&lt;br /&gt;
 #this is the config file for the wminputd&lt;br /&gt;
 #enter the wiimote mac address, you can find it with ~#hcitool scan  and then press the red button&lt;br /&gt;
 #besides the battery&#039;s off the wiimote&lt;br /&gt;
 #Then place the show&#039;n mac address as follows&lt;br /&gt;
 WIIMOTE_BDADDR=&amp;quot;00:AA:00:BB:AA:FF&amp;quot;&lt;br /&gt;
&lt;br /&gt;
you can find your address with hcitool scan&lt;br /&gt;
&lt;br /&gt;
*Edit the file /etc/cwiid/wminput/buttons&lt;br /&gt;
&lt;br /&gt;
 vi /etc/cwiid/wminput/buttons&lt;br /&gt;
And make it suitable to your needs&lt;br /&gt;
below is mine&lt;br /&gt;
 #buttons&lt;br /&gt;
 &lt;br /&gt;
 Wiimote.A               = BTN_LEFT&lt;br /&gt;
 Wiimote.B               = BTN_RIGHT&lt;br /&gt;
 Wiimote.Up              = KEY_UP&lt;br /&gt;
 Wiimote.Down    = KEY_DOWN&lt;br /&gt;
 Wiimote.Left    = KEY_LEFT&lt;br /&gt;
 Wiimote.Right   = KEY_RIGHT&lt;br /&gt;
 Wiimote.Minus   = KEY_F7&lt;br /&gt;
 Wiimote.Plus    = KEY_F8&lt;br /&gt;
 Wiimote.Home    = KEY_F3&lt;br /&gt;
 Wiimote.1               = KEY_F1&lt;br /&gt;
 Wiimote.2               = KEY_F6&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
* create the init file&lt;br /&gt;
 vi /etc/init.d/wminputd&lt;br /&gt;
&lt;br /&gt;
 #!/bin/sh&lt;br /&gt;
 # Start/stop the wminputd daemon.&lt;br /&gt;
 #&lt;br /&gt;
 ### BEGIN INIT INFO&lt;br /&gt;
 # Provides:          wminputd&lt;br /&gt;
 # Required-Start:    $syslog $time&lt;br /&gt;
 # Required-Stop:     $syslog $time&lt;br /&gt;
 # Default-Start:     2 3 4 5&lt;br /&gt;
 # Default-Stop:      0 1 6&lt;br /&gt;
 # Short-Description: mousemodule&lt;br /&gt;
 # Description:       wminputd&lt;br /&gt;
 #&lt;br /&gt;
 #&lt;br /&gt;
 #&lt;br /&gt;
 ### END INIT INFO&lt;br /&gt;
 &lt;br /&gt;
 &lt;br /&gt;
 test -f /usr/sbin/wminputd || exit 0&lt;br /&gt;
 . /lib/lsb/init-functions&lt;br /&gt;
 &lt;br /&gt;
 case &amp;quot;$1&amp;quot; in&lt;br /&gt;
 start)  log_daemon_msg &amp;quot;Starting wii-remote mousemodule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon -b --start --quiet --pidfile /var/run/wminputd.pid --name wminputd --startas /usr/sbin/wminputd -- $LSBNAMES&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 stop)   log_daemon_msg &amp;quot;Stopping wii-mote mousemodule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon --stop --quiet --pidfile /var/run/wminputd.pid --name wminputd&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 restart) log_daemon_msg &amp;quot;Restarting wii-mote mousemdule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/wminputd.pid --name wminputd&lt;br /&gt;
         start-stop-daemon -b --start --quiet --pidfile /var/run/wminputd.pid --name wminputd --startas /usr/sbin/wminputd -- $LSBNAMES&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 *)      log_action_msg &amp;quot;Usage: /etc/init.d/wminputd {start|stop|restart}&amp;quot;&lt;br /&gt;
         exit 2&lt;br /&gt;
         ;;&lt;br /&gt;
 esac&lt;br /&gt;
 exit 0&lt;br /&gt;
&lt;br /&gt;
run the script and push the red button beside the battery and your wiimote is ready to go&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
enable the script so it wil start at boot time&lt;br /&gt;
 update-rc.d wminputd defaults&lt;br /&gt;
now start the script and take look if it works&lt;br /&gt;
 /etc/init.d/wminputd start&lt;br /&gt;
&lt;br /&gt;
= Troubleshooting =&lt;br /&gt;
&lt;br /&gt;
*Q: When i reload the router then the wiimote will be slow&lt;br /&gt;
*A: Just push the red button besides the wiimote so it will connect again&lt;/div&gt;</summary>
		<author><name>Cobradevil</name></author>
	</entry>
	<entry>
		<id>http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9781</id>
		<title>Nintendo WiiMote</title>
		<link rel="alternate" type="text/html" href="http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9781"/>
		<updated>2008-03-24T18:15:00Z</updated>

		<summary type="html">&lt;p&gt;Cobradevil: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;[[Category: Hardware]]&lt;br /&gt;
[[Category: Input]]&lt;br /&gt;
{{stub}}&lt;br /&gt;
&lt;br /&gt;
[[Image:Wiimote.jpg|right]]&lt;br /&gt;
&lt;br /&gt;
This device is not (yet?) supported by LinuxMCE, but it is known to work [https://help.ubuntu.com/community/CWiiD] [http://forum.linuxmce.com/index.php?topic=1246.0] [http://forum.linuxmce.org/index.php?topic=2411.msg11435].&lt;br /&gt;
&lt;br /&gt;
== Wiimote setup ==&lt;br /&gt;
&lt;br /&gt;
I will try to explain what i have done to make the wiimote work with linuxmce.&lt;br /&gt;
&lt;br /&gt;
The wiimote is a cheap gyration device which could work for linuxmce instead of the chief remote from fiire which i find to expensive!!&lt;br /&gt;
&lt;br /&gt;
= Setup =&lt;br /&gt;
&lt;br /&gt;
Login as root to the media director which has a bluetooth stick with ssh.&lt;br /&gt;
Install the cwiid driver as fllows&lt;br /&gt;
 apt-get install libcwiid0&lt;br /&gt;
 apt-get install wminput&lt;br /&gt;
&lt;br /&gt;
create the daemon&lt;br /&gt;
 vi /usr/sbin/wminputd&lt;br /&gt;
&lt;br /&gt;
 #!/bin/bash&lt;br /&gt;
 #read the config file&lt;br /&gt;
 . /etc/wminputd.conf&lt;br /&gt;
 export DISPLAY=:0&lt;br /&gt;
 &lt;br /&gt;
 while true ; do&lt;br /&gt;
         #check if the OrbiterGL is already running!&lt;br /&gt;
         LMCE=`pidof OrbiterGL`&lt;br /&gt;
         if [ ! -z $LMCE ] ; then&lt;br /&gt;
                 while true ; do&lt;br /&gt;
                 #check if the wiimote is already connected&lt;br /&gt;
                 SCAN=`hcitool con|grep $WIIMOTE_BDADDR`&lt;br /&gt;
                         if [ -z $SCAN ] ; then&lt;br /&gt;
                                 PID=`pidof wminput`&lt;br /&gt;
                                 kill -9 $PID&lt;br /&gt;
                                 xset m 3 1/2&lt;br /&gt;
                                 wminput -c ir_ptr $WIIMOTE_BDADDR &amp;amp;&lt;br /&gt;
                                 sleep 5&lt;br /&gt;
                         else&lt;br /&gt;
                                 sleep 5&lt;br /&gt;
                         fi&lt;br /&gt;
                 done&lt;br /&gt;
         fi&lt;br /&gt;
 done&lt;br /&gt;
&lt;br /&gt;
Make it executable&lt;br /&gt;
 chmod 755 /usr/sbin/wminputd&lt;br /&gt;
&lt;br /&gt;
*Create the config file&lt;br /&gt;
 vi /etc/wminputd.conf&lt;br /&gt;
&lt;br /&gt;
 #this is the config file for the wminputd&lt;br /&gt;
 #enter the wiimote mac address, you can find it with ~#hcitool scan  and then press the red button&lt;br /&gt;
 #besides the battery&#039;s off the wiimote&lt;br /&gt;
 #Then place the show&#039;n mac address as follows&lt;br /&gt;
 WIIMOTE_BDADDR=&amp;quot;00:AA:00:BB:AA:FF&amp;quot;&lt;br /&gt;
&lt;br /&gt;
you can find your address with hcitool scan&lt;br /&gt;
&lt;br /&gt;
*Edit the file /etc/cwiid/wminput/buttons&lt;br /&gt;
&lt;br /&gt;
 vi /etc/cwiid/wminput/buttons&lt;br /&gt;
And make it suitable to your needs&lt;br /&gt;
below is mine&lt;br /&gt;
 #buttons&lt;br /&gt;
 &lt;br /&gt;
 Wiimote.A               = BTN_LEFT&lt;br /&gt;
 Wiimote.B               = BTN_RIGHT&lt;br /&gt;
 Wiimote.Up              = KEY_UP&lt;br /&gt;
 Wiimote.Down    = KEY_DOWN&lt;br /&gt;
 Wiimote.Left    = KEY_LEFT&lt;br /&gt;
 Wiimote.Right   = KEY_RIGHT&lt;br /&gt;
 Wiimote.Minus   = KEY_F7&lt;br /&gt;
 Wiimote.Plus    = KEY_F8&lt;br /&gt;
 Wiimote.Home    = KEY_F3&lt;br /&gt;
 Wiimote.1               = KEY_F1&lt;br /&gt;
 Wiimote.2               = KEY_F6&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
* create the init file&lt;br /&gt;
 vi /etc/init.d/wminputd&lt;br /&gt;
&lt;br /&gt;
 #!/bin/sh&lt;br /&gt;
 # Start/stop the wminputd daemon.&lt;br /&gt;
 #&lt;br /&gt;
 ### BEGIN INIT INFO&lt;br /&gt;
 # Provides:          wminputd&lt;br /&gt;
 # Required-Start:    $syslog $time&lt;br /&gt;
 # Required-Stop:     $syslog $time&lt;br /&gt;
 # Default-Start:     2 3 4 5&lt;br /&gt;
 # Default-Stop:      0 1 6&lt;br /&gt;
 # Short-Description: mousemodule&lt;br /&gt;
 # Description:       wminputd&lt;br /&gt;
 #&lt;br /&gt;
 #&lt;br /&gt;
 #&lt;br /&gt;
 ### END INIT INFO&lt;br /&gt;
 &lt;br /&gt;
 &lt;br /&gt;
 test -f /usr/sbin/wminputd || exit 0&lt;br /&gt;
 . /lib/lsb/init-functions&lt;br /&gt;
 &lt;br /&gt;
 case &amp;quot;$1&amp;quot; in&lt;br /&gt;
 start)  log_daemon_msg &amp;quot;Starting wii-remote mousemodule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon -b --start --quiet --pidfile /var/run/wminputd.pid --name wminputd --startas /usr/sbin/wminputd -- $LSBNAMES&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 stop)   log_daemon_msg &amp;quot;Stopping wii-mote mousemodule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon --stop --quiet --pidfile /var/run/wminputd.pid --name wminputd&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 restart) log_daemon_msg &amp;quot;Restarting wii-mote mousemdule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/wminputd.pid --name wminputd&lt;br /&gt;
         start-stop-daemon -b --start --quiet --pidfile /var/run/wminputd.pid --name wminputd --startas /usr/sbin/wminputd -- $LSBNAMES&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 *)      log_action_msg &amp;quot;Usage: /etc/init.d/wminputd {start|stop|restart}&amp;quot;&lt;br /&gt;
         exit 2&lt;br /&gt;
         ;;&lt;br /&gt;
 esac&lt;br /&gt;
 exit 0&lt;br /&gt;
&lt;br /&gt;
run the script and push the red button beside the battery and your wiimote is ready to go&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
enable the script so it wil start at boot time&lt;br /&gt;
 update-rc.d wminputd defaults&lt;br /&gt;
now start the script and take look if it works&lt;br /&gt;
 /etc/init.d/wminputd start&lt;br /&gt;
&lt;br /&gt;
= Troubleshooting =&lt;br /&gt;
&lt;br /&gt;
*Q: When i reload the router then the wiimote will be slow&lt;br /&gt;
*A: Just push the red button besides the wiimote so it will connect again&lt;/div&gt;</summary>
		<author><name>Cobradevil</name></author>
	</entry>
	<entry>
		<id>http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9780</id>
		<title>Nintendo WiiMote</title>
		<link rel="alternate" type="text/html" href="http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9780"/>
		<updated>2008-03-24T18:14:03Z</updated>

		<summary type="html">&lt;p&gt;Cobradevil: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;[[Category: Hardware]]&lt;br /&gt;
[[Category: Input]]&lt;br /&gt;
{{stub}}&lt;br /&gt;
&lt;br /&gt;
[[Image:Wiimote.jpg|right]]&lt;br /&gt;
&lt;br /&gt;
This device is not (yet?) supported by LinuxMCE, but it is known to work [https://help.ubuntu.com/community/CWiiD] [http://forum.linuxmce.com/index.php?topic=1246.0] [http://forum.linuxmce.org/index.php?topic=2411.msg11435].&lt;br /&gt;
&lt;br /&gt;
== Wiimote setup ==&lt;br /&gt;
&lt;br /&gt;
I will try to explain what i have done to make the wiimote work with linuxmce.&lt;br /&gt;
&lt;br /&gt;
The wiimote is a cheap gyration device which could work for linuxmce instead of the chief remote from fiire which i find to expensive!!&lt;br /&gt;
&lt;br /&gt;
= Setup =&lt;br /&gt;
&lt;br /&gt;
Login as root to the media director which has a bluetooth stick with ssh.&lt;br /&gt;
Install the cwiid driver as fllows&lt;br /&gt;
 apt-get install libcwiid0&lt;br /&gt;
 apt-get install wminput&lt;br /&gt;
&lt;br /&gt;
create the daemon&lt;br /&gt;
 vi /usr/sbin/wminputd&lt;br /&gt;
&lt;br /&gt;
 #!/bin/bash&lt;br /&gt;
 #read the config file&lt;br /&gt;
 . /etc/wminputd.conf&lt;br /&gt;
 export DISPLAY=:0&lt;br /&gt;
 &lt;br /&gt;
 while true ; do&lt;br /&gt;
         #check if the OrbiterGL is already running!&lt;br /&gt;
         LMCE=`pidof OrbiterGL`&lt;br /&gt;
         if [ ! -z $LMCE ] ; then&lt;br /&gt;
                 while true ; do&lt;br /&gt;
                 #check if the wiimote is already connected&lt;br /&gt;
                 SCAN=`hcitool con|grep $WIIMOTE_BDADDR`&lt;br /&gt;
                         if [ -z $SCAN ] ; then&lt;br /&gt;
                                 PID=`pidof wminput`&lt;br /&gt;
                                 kill -9 $PID&lt;br /&gt;
                                 xset m 3 1/2&lt;br /&gt;
                                 wminput -c ir_ptr $WIIMOTE_BDADDR &amp;amp;&lt;br /&gt;
                                 sleep 5&lt;br /&gt;
                         else&lt;br /&gt;
                                 sleep 5&lt;br /&gt;
                         fi&lt;br /&gt;
                 done&lt;br /&gt;
         fi&lt;br /&gt;
 done&lt;br /&gt;
&lt;br /&gt;
Make it executable&lt;br /&gt;
 chmod 755 /usr/sbin/wminputd&lt;br /&gt;
&lt;br /&gt;
*Create the config file&lt;br /&gt;
 vi /etc/wminputd.conf&lt;br /&gt;
&lt;br /&gt;
 #this is the config file for the wminputd&lt;br /&gt;
 #enter the wiimote mac address, you can find it with ~#hcitool scan  and then press the red button&lt;br /&gt;
 #besides the battery&#039;s off the wiimote&lt;br /&gt;
 #Then place the show&#039;n mac address as follows&lt;br /&gt;
 WIIMOTE_BDADDR=&amp;quot;00:AA:00:BB:AA:FF&amp;quot;&lt;br /&gt;
&lt;br /&gt;
you can find your address with hcitool scan&lt;br /&gt;
&lt;br /&gt;
*Edit the file /etc/cwiid/wminput/buttons&lt;br /&gt;
&lt;br /&gt;
 vi /etc/cwiid/wminput/buttons&lt;br /&gt;
And make it suitable to your needs&lt;br /&gt;
below is mine&lt;br /&gt;
 #buttons&lt;br /&gt;
 &lt;br /&gt;
 Wiimote.A               = BTN_LEFT&lt;br /&gt;
 Wiimote.B               = BTN_RIGHT&lt;br /&gt;
 Wiimote.Up              = KEY_UP&lt;br /&gt;
 Wiimote.Down    = KEY_DOWN&lt;br /&gt;
 Wiimote.Left    = KEY_LEFT&lt;br /&gt;
 Wiimote.Right   = KEY_RIGHT&lt;br /&gt;
 Wiimote.Minus   = KEY_F7&lt;br /&gt;
 Wiimote.Plus    = KEY_F8&lt;br /&gt;
 Wiimote.Home    = KEY_F3&lt;br /&gt;
 Wiimote.1               = KEY_F1&lt;br /&gt;
 Wiimote.2               = KEY_F6&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
* create the init file&lt;br /&gt;
 vi /etc/init.d/wminputd&lt;br /&gt;
&lt;br /&gt;
 #!/bin/sh&lt;br /&gt;
 # Start/stop the wminputd daemon.&lt;br /&gt;
 #&lt;br /&gt;
 ### BEGIN INIT INFO&lt;br /&gt;
 # Provides:          wminputd&lt;br /&gt;
 # Required-Start:    $syslog $time&lt;br /&gt;
 # Required-Stop:     $syslog $time&lt;br /&gt;
 # Default-Start:     2 3 4 5&lt;br /&gt;
 # Default-Stop:      0 1 6&lt;br /&gt;
 # Short-Description: mousemodule&lt;br /&gt;
 # Description:       wminputd&lt;br /&gt;
 #&lt;br /&gt;
 #&lt;br /&gt;
 #&lt;br /&gt;
 ### END INIT INFO&lt;br /&gt;
 &lt;br /&gt;
 &lt;br /&gt;
 test -f /usr/sbin/wminputd || exit 0&lt;br /&gt;
 . /lib/lsb/init-functions&lt;br /&gt;
 &lt;br /&gt;
 case &amp;quot;$1&amp;quot; in&lt;br /&gt;
 start)  log_daemon_msg &amp;quot;Starting wii-remote mousemodule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon -b --start --quiet --pidfile /var/run/wminputd.pid --name wminputd --startas /usr/sbin/wminputd -- $LSBNAMES&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 stop)   log_daemon_msg &amp;quot;Stopping wii-mote mousemodule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon --stop --quiet --pidfile /var/run/wminputd.pid --name wminputd&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 restart) log_daemon_msg &amp;quot;Restarting wii-mote mousemdule&amp;quot; &amp;quot;wminputd&amp;quot;&lt;br /&gt;
         start-stop-daemon --stop --retry 5 --quiet --pidfile /var/run/wminputd.pid --name wminputd&lt;br /&gt;
         start-stop-daemon -b --start --quiet --pidfile /var/run/wminputd.pid --name wminputd --startas /usr/sbin/wminputd -- $LSBNAMES&lt;br /&gt;
         log_end_msg $?&lt;br /&gt;
         ;;&lt;br /&gt;
 *)      log_action_msg &amp;quot;Usage: /etc/init.d/wminputd {start|stop|restart}&amp;quot;&lt;br /&gt;
         exit 2&lt;br /&gt;
         ;;&lt;br /&gt;
 esac&lt;br /&gt;
 exit 0&lt;br /&gt;
&lt;br /&gt;
run the script and push the red button beside the battery and your wiimote is ready to go&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
enable the script so it wil start at boot time&lt;br /&gt;
 update-rc.d wminputd defaults&lt;br /&gt;
now start the script and take look if it works&lt;br /&gt;
 /etc/init.d/wminputd start&lt;br /&gt;
&lt;br /&gt;
= Troubleshooting =&lt;br /&gt;
&lt;br /&gt;
Q: When i reload the router then the wiimote will be slow&lt;br /&gt;
A: Just push the red button besides the wiimote so it will connect again&lt;/div&gt;</summary>
		<author><name>Cobradevil</name></author>
	</entry>
	<entry>
		<id>http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9778</id>
		<title>Nintendo WiiMote</title>
		<link rel="alternate" type="text/html" href="http://wiki.linuxmce.org/index.php?title=Nintendo_WiiMote&amp;diff=9778"/>
		<updated>2008-03-24T17:32:33Z</updated>

		<summary type="html">&lt;p&gt;Cobradevil: &lt;/p&gt;
&lt;hr /&gt;
&lt;div&gt;[[Category: Hardware]]&lt;br /&gt;
[[Category: Input]]&lt;br /&gt;
{{stub}}&lt;br /&gt;
&lt;br /&gt;
[[Image:Wiimote.jpg|right]]&lt;br /&gt;
&lt;br /&gt;
This device is not (yet?) supported by LinuxMCE, but it is known to work [https://help.ubuntu.com/community/CWiiD] [http://forum.linuxmce.com/index.php?topic=1246.0] [http://forum.linuxmce.org/index.php?topic=2411.msg11435].&lt;br /&gt;
&lt;br /&gt;
== Wiimote setup ==&lt;br /&gt;
&lt;br /&gt;
I will try to explain what i have done to make the wiimote work with linuxmce.&lt;br /&gt;
&lt;br /&gt;
The wiimote is a cheap gyration device which could work for linuxmce instead of the chief remote from fiire which i find to expensive!!&lt;br /&gt;
&lt;br /&gt;
= Setup =&lt;br /&gt;
&lt;br /&gt;
Login as root to the media director which has a bluetooth stick with ssh.&lt;br /&gt;
Install the cwiid driver as fllows&lt;br /&gt;
apt-get install libcwiid0&lt;br /&gt;
apt-get install wminput&lt;/div&gt;</summary>
		<author><name>Cobradevil</name></author>
	</entry>
</feed>